use serde::Deserialize;

#[derive(Debug, Clone, Deserialize)]
#[serde(deny_unknown_fields)]
pub struct OIDCConfig {
    pub name: String,
    pub base_url: String,
    pub client_id: String,
    pub client_secret: Option<String>,
}

pub struct OIDCAuthenticator;
